package net.javainthebox.javafx.presentator.contents;

import javafx.ui.*;
import javafx.ui.canvas.*; 
import javafx.ui.filter.*;
import java.lang.System;

import java.applet.*;
import java.io.*;
import java.net.*;
import javax.sound.sampled.*;
import sun.applet.*;

import net.javainthebox.javafx.presentator.*;

public class Scene2_OpenJDK extends Scene {
    attribute opacity0: Number;
    attribute opacity1: Number;
    attribute opacity2: Number;
    attribute opacity3: Number;
    attribute opacity4: Number;
    attribute opacity5: Number;
    attribute opacity6: Number;

    operation fadein(unit: Number,
                     start: Number, end: Number):  Number;
}

operation Scene2_OpenJDK.fadein(unit: Number,
                                 start: Number, end: Number): Number {
    var opacity: Number;

    if (unit < start) {
        opacity = 0.0;
    } else if (unit > start and unit < end) {
        opacity = (unit - start) / (end - start);
    } else if (unit > end) {
	 opacity = 1.0;
    }

    return opacity;
}


attribute Scene2_OpenJDK.opacity0 = 0;
attribute Scene2_OpenJDK.opacity1 = 0;
attribute Scene2_OpenJDK.opacity2 = 0;
attribute Scene2_OpenJDK.opacity3 = 0;
attribute Scene2_OpenJDK.opacity4 = 0;
attribute Scene2_OpenJDK.opacity5 = 0;
attribute Scene2_OpenJDK.opacity6 = 0;

attribute Scene2_OpenJDK.leafs =  [
    Leaf {
        node: Group {
            content: [
                Text {
                    filter: [ShadowFilter { x: 10, y: -10, opacity: 0.8}]
                    x: 190
                    y: 297
	             opacity: bind opacity0
                    font: Font {face: ARIAL_BLACK, style: BOLD, size: 120}
                    fill: Color { red: 231, green: 111, blue: 0 } 
                    content: "Open"
                },
            ]
        }

        action: operation() {
	     for (unitinterval unit in dur 1000) {
                opacity0 = unit;
            }
        }
    },
    Leaf {
        node: Group {
            content: [
                Text {
                    filter: [ShadowFilter { x: 10, y: -10, opacity: 0.8}]
                    x: 551
                    y: 297
	             opacity: bind opacity1
                    font: Font {face: ARIAL_BLACK, style: BOLD, size: 120}
                    fill: Color { red: 83, green: 130, blue: 161 } 
                    content: "JDK"
                },
            ]
        }

        action: operation() {
	     for (unitinterval unit in dur 500) {
                opacity1 = unit;
            }
        }
    },
    Leaf {
        node: Group {
            content: [
                Text {
                    x: 100
                    y: 100
                    filter: [ShadowFilter { x: 10, y: -10}]
	             opacity: bind opacity2
                    font: Font {faceName: "MS PSVbN", style: BOLD, size: 56}
                    content: "Java I[v\[X"
                },
            ]
        }

        action: operation() {
	     for (unitinterval unit in dur 1000) {
                opacity0 = 1.0 - unit * 0.8;
                opacity1 = 1.0 - unit * 0.8;

	         opacity2 = unit;
            }
        }
    },
    Leaf {
        node: Group {
            content: [
                Text {
                    x: 160
                    y: 180
	             opacity: bind opacity3
                    filter: [ShadowFilter { x: 10, y: -10}]
                    font: Font {faceName: "MS PSVbN", style: BOLD, size: 48}
                    content: "2006.11 I[v\[X Jn"
                },
            ]
        }

        action: operation() {
	     for (unitinterval unit in dur 1000) {
                opacity3 = unit;
            }
        }
    },
    Leaf {
        node: Group {
            opacity: bind opacity4

            content: [
                Text {
                    x: 160
                    y: 240
                    filter: [ShadowFilter { x: 10, y: -10}]
                    font: Font {faceName: "MS PSVbN", style: BOLD, size: 48}
                    content: "2007.05 "
                },
                Text {
                    x: 200
                    y: 300
                    filter: [ShadowFilter { x: 10, y: -10}]
                    font: Font {faceName: "MS PSVbN", style: BOLD, size: 40}
                    content: "rh\ȃo[W"
                },
            ]
        }

        action: operation() {
	     for (unitinterval unit in dur 1000) {
                opacity4 = unit;
            }
        }
    },
    Leaf {
        node: Group {
            opacity: bind opacity5

            content: [
                Text {
                    x: 160
                    y: 360
                    filter: [ShadowFilter { x: 10, y: -10}]
                    font: Font {faceName: "MS PSVbN", style: BOLD, size: 48}
                    content: "CZX GPL v2"
                },
                Text {
                    x: 200
                    y: 420
                    filter: [ShadowFilter { x: 10, y: -10}]
                    font: Font {faceName: "MS PSVbN", style: BOLD, size: 40}
                    content: "+ Classpath Exception"
                },
            ]
        }

        action: operation() {
	     for (unitinterval unit in dur 1000) {
                opacity5 = unit;
            }
        }
    },
    Leaf {
        node: Group {
            content: [
                Text {
                    x: 160
                    y: 560
                    filter: [ShadowFilter { x: 10, y: -10}]
                    opacity: bind opacity6
                    font: Font {faceName: "MS PSVbN", style: BOLD, size: 48}
                    content: "ȂI[v߂..."
                },
            ]
        }

        action: operation() {
	     for (unitinterval unit in dur 1000) {
                opacity6 = unit;
            }
        }
    },
];